Subject: bug#43646: closed (Re: bug#43646: 27.1; Feature request: Set the cursor foreground color in no-window Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Sep 2020 15:40:02 +0000

Your bug report

#43646: 27.1; Feature request: Set the cursor foreground color in no-window Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43646: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43646
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43646: 27.1; Feature request: Set the cursor foreground color in no-window Emacs
From: Eli Zaretskii <[email-masked]>
To: O V <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Sep 2020 18:39:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: O V <[email-masked]>
> Date: Sun, 27 Sep 2020 17:26:23 +0200
> 
> Dear Eli,
> 
> Thank you for your feedback.
> You actually solved my problem: by changing the cursor colors in my terminal emulator settings, I have now
> a visible cursor.
> I suppose you had different terminal emulator settings, so you did not have the same problem.

Great, so I'm closing this bug report.

Subject: 27.1; Feature request: Set the cursor foreground color in no-window Emacs
From: O V <[email-masked]>
To: [email-masked]
Date: Sun, 27 Sep 2020 10:49:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Developers,

I am writing regarding a feature that I would like to be implemented, and
not a bug.

When using 'org-indent-mode' in Emacs without a GUI (started by 'emacs
-nw'), the cursor is hidden when located on hidden headline stars.

I believe this happens because, as per 'M-x customize-option cursor',
the "cursor foreground color is taken from the background color of the
underlying text". As per the same doc, the cursor foreground cannot be
changed to a fixed face.

In my opinio, allowing this would be an enormous improvement, as the hidden
cursor is a real obstacle to correct viewing and editing of org files.

Could you please make implementations that would solve this problem?

Kind regards,
Olivier Vasseur